/*+ FlashLoader.cpp
 *
 ******************************************************************************
 *
 *                        Trimble Navigation Limited
 *                           645 North Mary Avenue
 *                              P.O. Box 3642
 *                         Sunnyvale, CA 94088-3642
 *
 ******************************************************************************
 *
 *    Copyright  2005 Trimble Navigation Ltd.
 *    All Rights Reserved
 *
 ******************************************************************************
 *
 * Description:
 *    This file implements the CFlashLoaderApp class.
 *            
 * Revision History:
 *    09-22-2005    Mike Priven
 *                  Cleaned up and adapted for outside distribution.
 *
 *    xx-xx-2001    Sean Zhi
 *                  Original
 *
 * Notes:
 *
-*/

/*---------------------------------------------------------------------------*\
 |                         I N C L U D E   F I L E S
\*---------------------------------------------------------------------------*/
#include "stdafx.h"
#include "FlashLoader.h"
#include "FlashLoaderDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/*---------------------------------------------------------------------------*\
 |                      G L O B A L   V A R I A B L E S
\*---------------------------------------------------------------------------*/
CFlashLoaderApp theApp;


/*---------------------------------------------------------------------------*\
 |                    M E T H O D   D E F I N I T I O N S
\*---------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
Function:       BEGIN_MESSAGE_MAP (theClass, baseClass)

Description:    Defines a message map for this class. Matches a windows message
                with a callback function. The framework will call this function
                once the message associated with it has been received.

Parameters:     theClass - specifies the name of the class whose message map
                this is
                baseClass - specifies the name of the base class of theClass

Return Value:   none
-----------------------------------------------------------------------------*/
BEGIN_MESSAGE_MAP(CFlashLoaderApp, CWinApp)
	//{{AFX_MSG_MAP(CFlashLoaderApp)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code!
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


/*-----------------------------------------------------------------------------
Function:       <constructor>

Description:    A constructor for this class. Called when a new object of this
                class is created.

Parameters:     name - a title for this application

Return Value:   none
-----------------------------------------------------------------------------*/
CFlashLoaderApp::CFlashLoaderApp()
{
}

/*-----------------------------------------------------------------------------
Function:       InitInstance

Description:    Initializes an application instance.

Parameters:     none

Return Value:   Nonzero if initialization is successful; otherwise 0.
-----------------------------------------------------------------------------*/
BOOL CFlashLoaderApp::InitInstance()
{
	SetRegistryKey ("Trimble Navigation Ltd.");

	AfxEnableControlContainer();

	CFlashLoaderDlg dlg;
	
    m_pMainWnd = &dlg;

	dlg.DoModal();

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
